<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:09 CET 2009 -->
<TITLE>
DefaultPolyhedralCone
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.polco.impl.DefaultPolyhedralCone class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="DefaultPolyhedralCone";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultPolyhedralCone.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/polco/impl/DefaultInequalityCone.html" title="class in ch.javasoft.polco.impl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/impl/DefaultPolyhedralCone.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultPolyhedralCone.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.polco.impl.AbstractPolyhedralCone">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.polco.impl</FONT>
<BR>
Class DefaultPolyhedralCone&lt;Num extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Arr&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="class in ch.javasoft.polco.impl">ch.javasoft.polco.impl.AbstractPolyhedralCone</A>&lt;Num,Arr&gt;
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.polco.impl.DefaultPolyhedralCone&lt;Num,Arr&gt;</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco">Numeric</A>&lt;Num,Arr&gt;, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;Num,Arr&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/polco/impl/DefaultPolyhedralCone.html#line.51"><B>DefaultPolyhedralCone&lt;Num extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Arr&gt;</B></A><DT>extends <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="class in ch.javasoft.polco.impl">AbstractPolyhedralCone</A>&lt;Num,Arr&gt;<DT>implements <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;Num,Arr&gt;</DL>
</PRE>

<P>
Default implementation of <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco"><CODE>PolyhedralCone</CODE></A>, a general polyhedral cone
 <i>P</i> in hyperplane and halfspace representation, that is, 
 <pre>
 P = { A x = 0 , B x &ge; 0 }
 </pre>
 An instance is <A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html#DefaultPolyhedralCone(ch.javasoft.math.linalg.LinAlgOperations, Arr[], Arr[])"><CODE>constructed</CODE></A>
 from the two dense matrices A and B.
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_ch.javasoft.polco.impl.AbstractPolyhedralCone"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class ch.javasoft.polco.impl.<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="class in ch.javasoft.polco.impl">AbstractPolyhedralCone</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#arrayOps">arrayOps</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#linAlgOps">linAlgOps</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#numberArrayOps">numberArrayOps</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#numberOps">numberOps</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html#DefaultPolyhedralCone(ch.javasoft.math.linalg.LinAlgOperations, Arr[], Arr[])">DefaultPolyhedralCone</A></B>(<A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Num</A>,<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Arr</A>&gt;&nbsp;linAlgOps,
                                           <A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Arr</A>[]&nbsp;mxA,
                                           <A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Arr</A>[]&nbsp;mxB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor with equality matrix A and inequality matrix B.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Arr</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html#getA()">getA</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the matrix A corresponding to the equalities in the definition of
 the polyhedral cone.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Num</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html#getA(int, int)">getA</A></B>(int&nbsp;row,
         int&nbsp;col)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a single number of the equality matrix A</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Arr</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html#getB()">getB</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the matrix B corresponding to the inequalities in the definition 
 of the polyhedral cone.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Num</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html#getB(int, int)">getB</A></B>(int&nbsp;row,
         int&nbsp;col)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a single number of the inequality matrix B</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html#getDimensions()">getDimensions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number dimensions, that is, the size of the vector x or
 equivalently, the number of columns in A and B</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html#getRowCountA()">getRowCountA</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number of equalities, that is, the number of rows in A</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html#getRowCountB()">getRowCountB</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number inequalities, that is, the number of rows in B</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.polco.impl.AbstractPolyhedralCone"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.polco.impl.<A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html" title="class in ch.javasoft.polco.impl">AbstractPolyhedralCone</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#appendMatrixString(boolean, java.io.PrintWriter)">appendMatrixString</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#equals(java.lang.Object)">equals</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#getLinAlgOperations()">getLinAlgOperations</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#getMatrixDimensionString(boolean)">getMatrixDimensionString</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#hashCode()">hashCode</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#normalize(Arr)">normalize</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#normalize(Arr[])">normalize</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#toString()">toString</A>, <A HREF="../../../../ch/javasoft/polco/impl/AbstractPolyhedralCone.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.polco.PolyhedralCone"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.polco.<A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#equals(java.lang.Object)">equals</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getLinAlgOperations()">getLinAlgOperations</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#hashCode()">hashCode</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#toMultilineString()">toMultilineString</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#toString()">toString</A>, <A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#writeToMultiline(java.io.Writer)">writeToMultiline</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DefaultPolyhedralCone(ch.javasoft.math.linalg.LinAlgOperations,java.lang.Object,java.lang.Object)"><!-- --></A><A NAME="DefaultPolyhedralCone(ch.javasoft.math.linalg.LinAlgOperations, Arr[], Arr[])"><!-- --></A><H3>
DefaultPolyhedralCone</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/polco/impl/DefaultPolyhedralCone.html#line.67"><B>DefaultPolyhedralCone</B></A>(<A HREF="../../../../ch/javasoft/math/linalg/LinAlgOperations.html" title="interface in ch.javasoft.math.linalg">LinAlgOperations</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Num</A>,<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Arr</A>&gt;&nbsp;linAlgOps,
                             <A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Arr</A>[]&nbsp;mxA,
                             <A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Arr</A>[]&nbsp;mxB)</PRE>
<DL>
<DD>Constructor with equality matrix A and inequality matrix B. The matrices 
 are not cloned. If the number of columns in A and B are not equal, an 
 exception is thrown.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>linAlgOps</CODE> - linalg operations<DD><CODE>mxA</CODE> - the equality matrix A<DD><CODE>mxB</CODE> - the inequality matrix B
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - if A and B have not the same number of 
                                                                        columns</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getDimensions()"><!-- --></A><H3>
getDimensions</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/polco/impl/DefaultPolyhedralCone.html#line.90"><B>getDimensions</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getDimensions()">PolyhedralCone</A></CODE></B></DD>
<DD>Returns the number dimensions, that is, the size of the vector x or
 equivalently, the number of columns in A and B
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getDimensions()">getDimensions</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getRowCountA()"><!-- --></A><H3>
getRowCountA</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/polco/impl/DefaultPolyhedralCone.html#line.94"><B>getRowCountA</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getRowCountA()">PolyhedralCone</A></CODE></B></DD>
<DD>Returns the number of equalities, that is, the number of rows in A
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getRowCountA()">getRowCountA</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getA()"><!-- --></A><H3>
getA</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Arr</A>[] <A HREF="../../../../src-html/ch/javasoft/polco/impl/DefaultPolyhedralCone.html#line.98"><B>getA</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getA()">PolyhedralCone</A></CODE></B></DD>
<DD>Returns the matrix A corresponding to the equalities in the definition of
 the polyhedral cone.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getA()">getA</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a two dimensional array representing the equality matrix, 
                        where the first dimension enumerates rows, the second columns</DL>
</DD>
</DL>
<HR>

<A NAME="getA(int, int)"><!-- --></A><H3>
getA</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Num</A> <A HREF="../../../../src-html/ch/javasoft/polco/impl/DefaultPolyhedralCone.html#line.102"><B>getA</B></A>(int&nbsp;row,
                int&nbsp;col)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getA(int, int)">PolyhedralCone</A></CODE></B></DD>
<DD>Returns a single number of the equality matrix A
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getA(int, int)">getA</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getRowCountB()"><!-- --></A><H3>
getRowCountB</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/polco/impl/DefaultPolyhedralCone.html#line.106"><B>getRowCountB</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getRowCountB()">PolyhedralCone</A></CODE></B></DD>
<DD>Returns the number inequalities, that is, the number of rows in B
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getRowCountB()">getRowCountB</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getB()"><!-- --></A><H3>
getB</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Arr</A>[] <A HREF="../../../../src-html/ch/javasoft/polco/impl/DefaultPolyhedralCone.html#line.110"><B>getB</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getB()">PolyhedralCone</A></CODE></B></DD>
<DD>Returns the matrix B corresponding to the inequalities in the definition 
 of the polyhedral cone.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getB()">getB</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a two dimensional array representing the inequality matrix, 
                        where the first dimension enumerates rows, the second columns</DL>
</DD>
</DL>
<HR>

<A NAME="getB(int, int)"><!-- --></A><H3>
getB</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Num</A> <A HREF="../../../../src-html/ch/javasoft/polco/impl/DefaultPolyhedralCone.html#line.114"><B>getB</B></A>(int&nbsp;row,
                int&nbsp;col)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getB(int, int)">PolyhedralCone</A></CODE></B></DD>
<DD>Returns a single number of the inequality matrix B
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html#getB(int, int)">getB</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/polco/PolyhedralCone.html" title="interface in ch.javasoft.polco">PolyhedralCone</A>&lt;<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Num</A> extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,<A HREF="../../../../ch/javasoft/polco/impl/DefaultPolyhedralCone.html" title="type parameter in DefaultPolyhedralCone">Arr</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultPolyhedralCone.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/polco/impl/DefaultInequalityCone.html" title="class in ch.javasoft.polco.impl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/impl/DefaultPolyhedralCone.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultPolyhedralCone.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.polco.impl.AbstractPolyhedralCone">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
